import { BufferGeometry, Camera, Group, Material, Object3D, Quaternion, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface DampedTrackConstraintParams extends ConstraintParams {
    target?: Object3D;
    track_axis: string;
}
/** 物体约束：阻尼跟踪 */
export default class DampedTrackConstraint extends Constraint {
    readonly type = "DAMPED_TRACK";
    target?: Object3D;
    track_axis: string;
    protected rotation?: Quaternion;
    constructor(params: DampedTrackConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
