import { BufferGeometry, Camera, Group, Material, Object3D, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface FloorConstraintParams extends ConstraintParams {
    target?: Object3D;
    offset: number;
    floor_location: string;
}
/** 物体约束：基面 */
export default class FloorConstraint extends Constraint {
    readonly type = "FLOOR";
    target?: Object3D;
    offset: number;
    floor_location: string;
    constructor(params: FloorConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
