import { BufferGeometry, Camera, Group, Material, Object3D, Scene, WebGLRenderer } from 'three';
import Constraint, { ConstraintParams } from './Constraint';
export interface LimitDistanceConstraintParams extends ConstraintParams {
    target?: Object3D;
    distance: number;
    limit_mode: string;
}
/** 物体约束：限定距离 */
export default class LimitDistanceConstraint extends Constraint {
    readonly type = "LIMIT_DISTANCE";
    target?: Object3D;
    distance: number;
    limit_mode: string;
    constructor(params: LimitDistanceConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
