import { BufferGeometry, Camera, Group, Material, Object3D, Quaternion, Scene, WebGLRenderer } from 'three';
import Constraint from './Constraint';
import { DampedTrackConstraintParams } from './DampedTrackConstraint';
export interface TrackToConstraintParams extends DampedTrackConstraintParams {
    up_axis: string;
}
/** 物体约束：标准跟踪 */
export default class TrackToConstraint extends Constraint {
    readonly type = "TRACK_TO";
    target?: Object3D;
    track_axis: string;
    up_axis: string;
    protected rotation?: Quaternion;
    constructor(params: TrackToConstraintParams);
    onBeforeRender(renderer: WebGLRenderer, scene: Scene, camera: Camera, object: Object3D, geometry: BufferGeometry, material: Material, group: Group): void;
}
