import { Pass, FullScreenQuad } from 'three/examples/jsm/postprocessing/Pass';
import { Color, ShaderMaterial, Texture, Vector2, Vector3, WebGLRenderer, WebGLRenderTarget } from 'three';
export default class BlurPass extends Pass {
    resolution: Vector2;
    color: Vector3;
    strength: number;
    maxblur: number;
    focus?: number | undefined;
    aperture?: number | undefined;
    depthTexture?: Texture | undefined;
    static clearColor: Color;
    enabled: boolean;
    needsSwap: boolean;
    fsQuad: FullScreenQuad;
    noiseTarget: WebGLRenderTarget;
    noiseTarget2?: WebGLRenderTarget;
    blurTarget: WebGLRenderTarget;
    blurTarget2: WebGLRenderTarget;
    noiseShader: ShaderMaterial;
    blurShader: ShaderMaterial;
    cameraData: Vector3;
    constructor(resolution: Vector2, color: Vector3, strength: number, maxblur: number, focus?: number | undefined, aperture?: number | undefined, depthTexture?: Texture | undefined);
    dispose(): void;
    setSize(width: number, height: number): void;
    render(renderer: WebGLRenderer, writeBuffer: WebGLRenderTarget, readBuffer: WebGLRenderTarget, deltaTime?: number, maskActive?: boolean): void;
    getNoiseMaterial(): ShaderMaterial;
    getBlurMaterial(): ShaderMaterial;
}
