/**
 * 基于[`three.js (v145)`](https://threejs.org/)二次开发的一款3D引擎，支持[`Blender 3.3`](https://www.blender.org/)下几乎所有的eevee引擎[`ShaderNode`](https://docs.blender.org/manual/zh-hans/3.3/render/shader_nodes/index.html)。
 * ```ts
import Tencent3D from 'tencent3d';
const game = new Tencent3D({
    src: './untitled.glb',
    onProgress(ev) {
        console.log(ev.loaded / ev.total);
    },
    rendererParameters: {
        canvas: document.getElementById('app'),
    },
});
game.then((gltf) => {
    console.log(gltf);
});
 * ```
 * @packageDocumentation
 */
export {default as Tencent3D, TencentParticle, TencentGLTFLoader, Cannon} from '../src/main';
export * as shaderNodes from '../src/material/shaderNode/shaderNodes';
export * as constraints from '../src/node/constraint/index';
